#!/usr/bin/python
##### Smerni diagrami binomskih skupin v polarnih koordinatah - S53MV 17.2.2018 #####

import numpy as np		#uporabljene funkcije
import matplotlib.pyplot as plt

ff=np.linspace(0,2*np.pi,720)	#korakanje po kotu theta

def bocna(ff,hh):		#smerni diagram bocne skupine
	return abs(np.cos(np.multiply(np.cos(ff),hh)))

def osna(ff,hh):		#smerni diagram osne skupine
	return abs(np.cos(np.multiply((np.cos(ff)-1),hh)))

def risba(a,x,ff,rf,tf):			#risba enega smernega diagrama
	a[x].set_theta_zero_location("N")
	a[x].plot(ff,rf,'r-')
	a[x].plot(ff,rf**2,'y-')
	a[x].plot(ff,rf**4,'g-')
	a[x].plot(ff,rf**8,'c-')
	a[x].plot(ff,rf**16,'b-')
	a[x].plot(ff,rf**32,'m-')
	a[x].set_rticks([])
	a[x].set_thetagrids([0,90,180,270],labels=['z','',tf,'xy'],frac=1.15)
	return 0

r1=bocna(ff,np.pi/2)	#smerni diagrami za razlicne h
t1=r'h=$\lambda$/2   $\phi$=0   N=1,2,4,8,16,32'
r2=osna(ff,np.pi/4)
t2=r'h=$\lambda$/4   $\phi$=-kh   N=1,2,4,8,16,32'

f,a=plt.subplots(1,2,subplot_kw=dict(projection='polar'))	#risanje grafa funkcije
risba(a,0,ff,r1,t1)
risba(a,1,ff,r2,t2)
plt.show()

#konec programa

