#!/usr/bin/python
##### Smernos skupin dveh virov - S53MV 12.2.2018 #####

import numpy as np		#uporabljene funkcije
import matplotlib.pyplot as plt

h=np.linspace(0,3,1000)		#korakanje po razmaku h(lambda)

def smernost(x):			#smernost skupine D(x)
	return 2/(1+np.sinc(2*x))	#np.sinc(x)=np.sin(x*np.pi)/(x*np.pi)

b=smernost(h)	#smernost bocne skupine fi=0
o=smernost(2*h)	#smernost osne skupine fi=-kh

print 'Bocna skupina  Dmax=',np.amax(b),' @ hmax=',h[np.argmax(b)]
print 'Osna skupina   Dmax=',np.amax(o),' @ hmax=',h[np.argmax(o)]

plt.plot(h,b,'r-')
plt.plot(h,o,'b-')
plt.grid()
plt.title('Smernost skupine dveh neusmerjenih virov')
plt.xlabel(r'Razdalja h[$\lambda$]')
plt.ylabel('Smernost D(h)')
plt.show()

#konec programa

